Subject: Re: No working tree repository

From: Phillip Susi <[email-masked]>
Date: Tue, 15 Jun 2010 14:33:32 -0400

On 6/15/2010 2:10 PM, Matthieu Moy wrote:
> This is called a "bare" repository. Now, you have the keyword to
> RTFM ;-).

Ahh, that's the magic word I was groping for.

It seems that --bare on clone will prevent the checkout of the local
working tree.  If I decide I do want the sources today I can just check
them out, but what is the proper way to do the reverse?  I was thinking
something like somehow empty the index file then do a git-reset or
git-checkout-index to clean up the working tree to match the empty
index, but I can't figure out how to empty the index.